Packages needed for _autosetup, config and make to run.

Message boards : Documentation : Packages needed for _autosetup, config and make to run.
Message board moderation

To post messages, you must log in.

AuthorMessage
Profile Dave
Help desk expert

Send message
Joined: 28 Jun 10
Posts: 2559
United Kingdom
Message 112246 - Posted: 5 Jul 2023, 17:34:52 UTC

Is it worth adding this to the documentation for compiling from source.
To get _autosetup to run after having installed the packages recommended I had to run
sudo apt install m4 pkg-config autoconf libtool


To get config to complete
sudo apt install python3-dev libcurl4-openssl-dev libssl-dev libwxgtk3.2-dev libnotify-dev libgtk-3-dev


And to get rid of the errors that were thrown up by make and not caught by configure
sudo apt install ibwxgtk-webview3.2-dev
For the first of these, there was a line in the output of config that gave a clue but not as far as I could see for the second which I needed to look for clues in the output from make. File now saved so that I can get everything up and running a lot more quickly next time I do a clean install.

This was on xubuntu23.04
ID: 112246 · Report as offensive
Profile Dave
Help desk expert

Send message
Joined: 28 Jun 10
Posts: 2559
United Kingdom
Message 112431 - Posted: 2 Aug 2023, 12:15:02 UTC

Just spotted a typo. Correct version below.
And to get rid of the errors that were thrown up by make and not caught by configure

sudo apt install libwxgtk-webview3.2-dev
ID: 112431 · Report as offensive

Message boards : Documentation : Packages needed for _autosetup, config and make to run.

Copyright © 2024 University of California.
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation.